#include <bits/stdc++.h>
#include <stdio.h>
using namespace std;

int main()
{
	long n;
	scanf("%ld",&n);
	
	double plata[n];
	double porez[n];
	double zarada[n];
	for(long i=0;i<n;i++)
	{
		cin>>plata[i]>>porez[i];
		zarada[i] = 0;
	}
	
	double najveca = 0;
	for(long i=0;i<n;i++)
	{
		for(long j=0;j<n;j++)
		{
			if(porez[i]<=porez[j])
				zarada[i]+= plata[j];
		}
		
		if(zarada[i]*(porez[i]/100)>najveca)
			najveca = zarada[i]*(porez[i]/100);
	}
	
	printf("%f",najveca);
}